@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:wght@100;200;300&display=swap');

h1,h2,h3,h4,h5,h6,.w3-bar-item,.last-greetings,.citate,.contact-name {font-family: 'Barlow Semi Condensed', 'Amatic SC', sans-serif;}
body {
    font-family: 'Barlow Semi Condensed', sans-serif;
    font-size: 1.3em;
}
body, html {
    height: 100%;
    color: #373737;
    /* line-height: 1.8; */
    background-color: #645F65;
}
h2 {
    font-size: 3.09em;
    font-weight: 100;
}
h3 {
    font-size: 2.46em;
    margin-top: 64px;
}
p {
    font-size: 0.95em;
    text-align: justify;
}
#myNavbar {
    position:relative;
    width: 100%;
    z-index: 1;
}
#myNavbar a {
    padding-left: 30px;
    padding-right: 30px;
}
#navDemo {
    padding-top: 50%;
    padding-bottom: 1000%;
}
#navDemo a {
    background: transparent;
}
#menu-sign {
    /* margin-bottom: 15px; */ /* It was for Iva Malinova sign */
    padding-left: 0px !important;
}
#mobile-menu {
    position: relative;
    right: -30px;
    padding-top: 12px;
}
.navbar-start-state {
    font-size: 1.5em;
    font-weight: 300;
    padding-top: 40px;
    color: white;
}
.navbar-background {
    font-size: 1.5em;
    font-weight: 300;
    color: #373737;

    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    background-color: #ffffffc2;
}
.navbar-background #menu-sign {
    /* margin-bottom: 7px; */ /* It was for Iva Malinova sign */
    filter: invert(0.75);
}

.navbar-background-dark {
    color: white;
    background-color: #645F65c2;
}
.navbar-background-dark #menu-sign {
    filter: invert(0);
}

#navDemo {
    font-size: 36px
}

#gallery-navbar {
    position: fixed;
    width: 100%;
    z-index: 1;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    padding: 2% 7% 0 7%;
}
#gallery-navbar-back {
    filter: invert(0);
}
#gallery-navbar-back a {
    position: relative;
    left: -25px;
    padding: 25px;
}
#gallery-navbar-sign {
    text-align: right;
    filter: invert(0.75);
}

.w3-button:hover {
    color: #A5A5A5 !important;
    background-color: transparent !important;
}
.welcome-title {
    line-height: 1;
    color: #F5F5F5;
    min-height: 100%; 
    position: absolute; 
    display: flex; 
    align-items: center;
    margin: 0;
    text-shadow: 0px 0px 8px #645F65;
}
.welcome-title h1 {
    font-size: 4em;
    width: 500px;
    text-shadow: 0px 0px 8px #645F65;
}
.welcome-title h2 {
    font-size: 2.5em;
    margin-top: 50px;
    text-shadow: 0px 0px 8px #645F65;
}
.no-top-padding {
    margin-top: 0;
}
.painting-thumbnail {
    margin-right: 20px;
}
.painting-thumbnail img {
    vertical-align: top;
    margin: 20px 3px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
    border-radius: 4px;
}

#other-works {
    padding-top: 70px;
}

.picAndName {
    /* width: 100%; */
    /* display: flex; align-items: center; justify-content: center; */
}

.picture-container {
    width: 100%;
    height: 100%;
    position: absolute; 
    display: flex; 
    align-items: center;
    justify-content: center;
    padding: 40px;
}

#pictureee {
    border-radius: 4px;
}

.shadow {
    -moz-box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.8);
    -webkit-box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.8);
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.8);
    /* For IE 8 */
    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#000000')";
    /* For IE 5.5 - 7 */
    filter: progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#000000');
}

#spaceAbovePic {
    height: 0px;
}
#labelOfPic {
	position: absolute;
	right: 0;
    margin-bottom: 30px;
}
#nameOfPic {
    padding: 0px 20px;
	margin: 40px 0px 0px 10px;
    text-align: left;
    font-size: 0.9em;
}
#commentOfPic {
    padding: 0px 20px;
	margin: 5px 0px 5px 10px;
    text-align: left;
    font-size: 0.7em;
}

#navLeftArrow, #navRightArrow {
    position: absolute;
    top: 25%;
    width: 20%;
    height: 50%;
}
#navLeftArrow {
    left: 0;
}
#navRightArrow {
    right: 0;
}
#navLeftArrow a,#navRightArrow a {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    filter:alpha(opacity=50);
}
#navLeftArrow a {
    display: block;
    left: 0;
}
#navRightArrow a {
    display: block;
    right: 0;
}
#navLeftArrow img, #navRightArrow img {
    position: absolute;
    top: 45%;
}
#navLeftArrow img {
    left: 20px;
}
#navRightArrow img {
    right: 20px;
}


.last-greetings {
    font-size: 3.45em;
    line-height: 1;
    color: white
}
.active {
    color: #C0C0C0
}
.arrow-button:hover {
    opacity: 0.6
}
.map-responsive{
    margin: 42px 0 42px 0;
    overflow: hidden;
    position: relative;
    height: 300px;
}
.map-responsive iframe {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}
.citate {
    font-size: 1.5em;
    margin-top: 32px;
}
.citate-first {
    position: relative;
    left: -30px;
}
.citate-author {
    font-size: 0.8em;
    position:absolute;
    left:52%;
    width:100px;
}
.emoji { margin-bottom: 5px }
.contact-name { font-size: 1.8em }

.map { border: 1px solid #d2e7ff }

.light-text { color: white }
.light-background { background-color: white; }

#gallery { background: white; }
/* #about { } */
/* #contact { } */

.about-header {
    padding-top: 32px!important;
    padding-bottom: 32px!important;
}
.about-header small {
    font-size: 50%;
}
.about-sign {
    text-align: right;
}

#contact p {
    margin: 0;
}

.not-found-content {
    color: white;
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.section-background-pink { background: #cda3b5 !important; }
.section-background-deepblue { background: #1e3062 !important; color: white; }
.section-background-green { background: #9cae8f !important; }
.section-background-beige { background: #f0d6c4 !important; }
.background-change-animation {
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.selected-party-color {
    text-shadow: 0px 0px 15px #865d44
}

.animate-up {
    position:relative;
    animation:animateup 0.5s
}
@keyframes animateup{
    0%  {top:0}
    50% {top:-100px}
    100% {top:0px}
}
.animate-down {
    position:relative;
    animation:animatedown 0.5s
}
@keyframes animatedown{
    0%  {top:0}
    50% {top:-100px}
    100% {top:0px}
}

/* Create a Parallax Effect */
.bgimg-1, .bgimg-about, .bgimg-contact, .bgimg-end {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: scroll;
    min-height: 100%;
}

/* First image (Logo. Full height) */
.bgimg-1 {
    background-image: url('/images/front/main-pictures/front2.jpg');
    background-position: right 15% bottom 30%;
}
.bgimg-about {
    background-image: url("/images/front/main-pictures/background-about2.jpg");
    background-position: right 35% bottom 30%;
}
.bgimg-contact {
    background-image: url("/images/front/main-pictures/background-contact2.jpg");
    background-position: top;
}
.bgimg-end {
    background-image: url("/images/front/main-pictures/background-end2.jpg");
}

.w3-wide {letter-spacing: 10px;}
.w3-hover-opacity {cursor: pointer;}
.w3-content {
    max-width: 1204px;
}
.w3-container {
    padding-right: 7%;
    padding-left: 7%;
}

/* Turn off parallax scrolling for tablets and phones */
@media only screen and (max-device-width: 1024px) {
    body {
        font-size: 1.15em;
    }
    h2 {
        font-size: 2.5em;
    }
    h3 {
        font-size: 2em;
    }
    .bgimg-1, .bgimg-about, .bgimg-contact, .bgimg-end {
        background-attachment: scroll;
    }
    .bgimg-about, .bgimg-contact {
        min-height: 80%;
    }
    .bgimg-about {
        background-position: right 10% bottom 30%;
    }
    .bgimg-contact {
        background-position: top right 43%;
    }
    .bgimg-end {

    }

    .navbar-start-state {
        padding-top: 0;
    }
    #menu-sign img {
        transform: scale(80%);
        position: relative;
        left: -26px;
    }
    .welcome-title {
        width: 87%;
    }
    .welcome-title h1 {
        font-size: 2.3em;
        width: 100%;
        margin-right: 30px;
    }
    .welcome-title h2 {
        font-size: 2em;
        margin-top: 15px;
    }
    #gallery-navbar {
        /* padding-top: 20px; */
    }
    #gallery-navbar-back img {
        transform: scale(80%);
    }
    #gallery-navbar-sign img {
        transform: scale(80%);
        position: relative;
        right: -30px;
    }
    #spaceAbovePic {
        height: 120px;
    }

    .painting-thumbnail img {
        border-radius: 3px;
    }
    .about-header {
        margin-top: 0;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    #labelOfPic {
        position: static;
    }
    #nameOfPic {
        padding: 0px 5px;
        margin: 30px 0px 0px 10px;
        text-align: right;
    }
    #commentOfPic {
        padding: 0px 5px;
        margin: 5px 0px 5px 10px;
        text-align: right;
    }
}
/* Smaller fonts on iPhone 5 size  */
@media only screen and (max-device-width: 350px) {
    body {
        font-size: 1.15em;
    }
}
/* Fonts */
/* @font-face {
    font-family: 'Organika';
    src: url('files/fonts/Organika-Script.ttf');
} */

/* Dark mode */
@media (prefers-color-scheme: dark) {
    body, html {
        background-color: #645F65;
        color: white;
    }

    .navbar-background {
        color: white;
        background-color: #645F65c2;
    }
    .navbar-background #menu-sign {
        filter: invert(0);
    }

    #gallery { 
        background: #645F65; 
        color: white;
    }

    #gallery-navbar-back {
        filter: invert(1);
        filter: brightness(100);
    }
    #gallery-navbar-sign {
        filter: invert(0);
    }

    .light-background { 
        background-color: #645F65;
    }
}